package com.bocloud.ims.entity.params;

import com.bocloud.ims.entity.resource.Server;

import java.util.List;

public class ServerCreateParam extends Server {

    // 原来和params同级的参数type
    private String type;
    // 以下字段来源于HostOperateModel，去掉了和Server中重叠的部分
    private Long hostId;
    private String hostName;
    private String hostIp; // 主机IP
    private String privateIp; // 私有IP
    private String publicIp; // 公有IP
    private List<String> getewayIps; // 网关IP
    private Integer port; // 端口
    private String username; // 用户名
    private String password; // 密码
    private String sslThumbprint;// SSL证书指纹
    private List<String> hosts;
    private Long hmcId;
    private String hmcUuid;
    private String jenkinsUrl;
    private String saltMasterUrl;
    private String targetServers;
    private String host;
    private String hostType;
    private boolean forceDelete = false;
    private String params;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public String getHostIp() {
        return hostIp;
    }

    public void setHostIp(String hostIp) {
        this.hostIp = hostIp;
    }

    public String getPrivateIp() {
        return privateIp;
    }

    public void setPrivateIp(String privateIp) {
        this.privateIp = privateIp;
    }

    public String getPublicIp() {
        return publicIp;
    }

    public void setPublicIp(String publicIp) {
        this.publicIp = publicIp;
    }

    public List<String> getGetewayIps() {
        return getewayIps;
    }

    public void setGetewayIps(List<String> getewayIps) {
        this.getewayIps = getewayIps;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getSslThumbprint() {
        return sslThumbprint;
    }

    public void setSslThumbprint(String sslThumbprint) {
        this.sslThumbprint = sslThumbprint;
    }

    public List<String> getHosts() {
        return hosts;
    }

    public void setHosts(List<String> hosts) {
        this.hosts = hosts;
    }

    public Long getHmcId() {
        return hmcId;
    }

    public void setHmcId(Long hmcId) {
        this.hmcId = hmcId;
    }

    public String getHmcUuid() {
        return hmcUuid;
    }

    public void setHmcUuid(String hmcUuid) {
        this.hmcUuid = hmcUuid;
    }

    public String getJenkinsUrl() {
        return jenkinsUrl;
    }

    public void setJenkinsUrl(String jenkinsUrl) {
        this.jenkinsUrl = jenkinsUrl;
    }

    public String getSaltMasterUrl() {
        return saltMasterUrl;
    }

    public void setSaltMasterUrl(String saltMasterUrl) {
        this.saltMasterUrl = saltMasterUrl;
    }

    public String getTargetServers() {
        return targetServers;
    }

    public void setTargetServers(String targetServers) {
        this.targetServers = targetServers;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getHostType() {
        return hostType;
    }

    public void setHostType(String hostType) {
        this.hostType = hostType;
    }

    public boolean getForceDelete() {
        return forceDelete;
    }

    public void setForceDelete(boolean forceDelete) {
        this.forceDelete = forceDelete;
    }


    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params;
    }
}
